picard.annotation

## Enum RefFlatReader.RefFlatColumns

- java.lang.Object
- - java.lang.Enum<RefFlatReader.RefFlatColumns>
  - - picard.annotation.RefFlatReader.RefFlatColumns

- All Implemented Interfaces:
    Serializable, Comparable<RefFlatReader.RefFlatColumns>
  Enclosing class:
    RefFlatReader

      public static enum RefFlatReader.RefFlatColumns
      extends Enum<RefFlatReader.RefFlatColumns>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CDS_END`
    `CDS_START`
    `CHROMOSOME`
    `EXON_COUNT`
    `EXON_ENDS`
    `EXON_STARTS`
    `GENE_NAME`
    `STRAND`
    `TRANSCRIPT_NAME`
    `TX_END`
    `TX_START`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RefFlatReader.RefFlatColumns` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RefFlatReader.RefFlatColumns[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GENE_NAME

          public static final RefFlatReader.RefFlatColumns GENE_NAME

    - #### TRANSCRIPT_NAME

          public static final RefFlatReader.RefFlatColumns TRANSCRIPT_NAME

    - #### CHROMOSOME

          public static final RefFlatReader.RefFlatColumns CHROMOSOME

    - #### STRAND

          public static final RefFlatReader.RefFlatColumns STRAND

    - #### TX_START

          public static final RefFlatReader.RefFlatColumns TX_START

    - #### TX_END

          public static final RefFlatReader.RefFlatColumns TX_END

    - #### CDS_START

          public static final RefFlatReader.RefFlatColumns CDS_START

    - #### CDS_END

          public static final RefFlatReader.RefFlatColumns CDS_END

    - #### EXON_COUNT

          public static final RefFlatReader.RefFlatColumns EXON_COUNT

    - #### EXON_STARTS

          public static final RefFlatReader.RefFlatColumns EXON_STARTS

    - #### EXON_ENDS

          public static final RefFlatReader.RefFlatColumns EXON_ENDS

  - ### Method Detail

    - #### values

          public static RefFlatReader.RefFlatColumns[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RefFlatReader.RefFlatColumns c : RefFlatReader.RefFlatColumns.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RefFlatReader.RefFlatColumns valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null